

XFS is using this function.  It provides a best-effort, minimum-latency "get
all the writeout underway" function.


---

 mm/filemap.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN mm/filemap.c~export-filemap_flush mm/filemap.c
--- 25/mm/filemap.c~export-filemap_flush	2004-03-07 11:27:35.000000000 -0800
+++ 25-akpm/mm/filemap.c	2004-03-07 11:28:07.000000000 -0800
@@ -161,12 +161,13 @@ EXPORT_SYMBOL(filemap_fdatawrite);
 
 /*
  * This is a mostly non-blocking flush.  Not suitable for data-integrity
- * purposes.
+ * purposes - I/O may not be started against all dirty pages.
  */
 int filemap_flush(struct address_space *mapping)
 {
 	return __filemap_fdatawrite(mapping, WB_SYNC_NONE);
 }
+EXPORT_SYMBOL(filemap_flush);
 
 /**
  * filemap_fdatawait - walk the list of locked pages of the given address

_
